/*
* This file copies contents of ./build/index.html to ./build/200.html
* 200.html file is used by surge CDN to allow all url paths to be handled by client side router
* */

const fs = require('fs');
const src = './build/index.html';
const dest = './build/200.html';
if(fs.existsSync(src)){
  const readStream = fs.createReadStream(src);
  readStream.once('error', (err) => {
    console.log(err);
    process.exit(0);
  });
  readStream.once('end', () => {
    console.log('done copying');
    process.exit(0);
  });
  readStream.pipe(fs.createWriteStream(dest));
} else {
  console.log(`${src} not found!`);
  process.exit(0);
}