import React from 'react';
import {Loading} from './Loading';
import Loadable from 'react-loadable';
import {IApplicationState} from '../stores';
import {connect} from 'react-redux';

const LoginPage = Loadable({
    loader: () => import('./Login'),
    loading: Loading
});

const Home = (props: IHomeProps)=>{
  return !props.isLoggedIn ? <div>Please login</div> : <LoginPage/>;
};

function mapStateToProps(state: IApplicationState) {
    return {
        isLoggedIn: state.app.isLoggedIn
    }
}

export default connect(mapStateToProps)(Home);

export interface IHomeProps {
    isLoggedIn: boolean;
}