import {IAction, IAppState} from './types';
import {LOGIN, LOGOUT} from './constants';
import * as cookie from '../utils/cookieStorage';

const initialState: IAppState = {
  isLoggedIn: false
};

export const appReducer = (state: IAppState = initialState, action: IAction<any>): IAppState => {
  switch(action.type){
    case LOGIN :{
      // set cookie expires in two weeks
      cookie.set(LOGIN, 'true', {expires: new Date(new Date().getTime() + (14 * 24 * 60 * 60 * 1000))});
      return {
        ...state,
        isLoggedIn: true
      };
    }
    case LOGOUT: {
      cookie.remove(LOGIN);
      return {
        ...state,
        isLoggedIn: false
      }
    }
    default:
      return state;
  }
};