import {combineReducers, applyMiddleware, createStore} from 'redux';
import {routerMiddleware, routerReducer, RouterState} from 'react-router-redux';
import {composeWithDevTools} from 'redux-devtools-extension';
import {history} from '../components/routes';
import {appReducer} from './appReducer';
import {IAppState} from './types';

const historyMiddleware = routerMiddleware(history);
export const configureStore = () => {
  const rootReducer = combineReducers({
    app: appReducer,
    router: routerReducer
  });

  return createStore(rootReducer,{}, composeWithDevTools(applyMiddleware(historyMiddleware)));
};

export interface IApplicationState {
    app: IAppState;
    router: RouterState;
}